# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob('cpu-z_*-en.exe')[0]
    # Installing the software
    
    install_exe_if_needed('cpu-z_2.11-en.exe',
        silentflags='/VERYSILENT /SUPPRESSMSGBOXES /NORESTART',
        key='CPUID CPU-Z_is1',
        min_version=control.get_software_version(),
    )



